%define upstream_name    POE-Component-Client-HTTP
%define upstream_version 0.947

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Non-blocking/parallel web requests engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Headers) >= 5.810.0
BuildRequires: perl(HTTP::Request) >= 5.811.0
BuildRequires: perl(HTTP::Request::Common) >= 5.811.0
BuildRequires: perl(HTTP::Response) >= 5.813.0
BuildRequires: perl(HTTP::Status) >= 5.811.0
BuildRequires: perl(Net::HTTP::Methods) >= 5.812.0
BuildRequires: perl(POE) >= 1.312.0
BuildRequires: perl(POE::Component::Client::Keepalive) >= 0.271.0
BuildRequires: perl(Socket) >= 2.1.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::POE::Server::TCP) >= 1.140.0
BuildRequires: perl(URI) >= 1.370.0
BuildArch:  noarch

%description
The HTTPHead filter turns stream data that has the appropriate format
into a HTTP::Response object. In an all-POE world, this would sit on
the other end of a connection as POE::Filter::HTTPD/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/POE

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.947.0-2.mga3
+ Revision: 371217
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.947.0-1.mga3
+ Revision: 255900
- update to 0.947
- update to 0.944

* Fri Jun 17 2011 jquelin <jquelin> 0.943.0-1.mga2
+ Revision: 109076
- update to 0.943

* Tue Feb 22 2011 jquelin <jquelin> 0.942.0-1.mga1
+ Revision: 56872
- update to 0.942

* Mon Jan 24 2011 jquelin <jquelin> 0.895.0-1.mga1
+ Revision: 37120
- mageia rebuild
- imported package perl-POE-Component-Client-HTTP

